POST /mcp_servers/{mcp_server_id_or_slug}/deploy

Deploy a new workflow document for a given MCP server.

Path parameters

  • mcp_server_id_or_slug string Required

    UUID or slug of a MCP server

application/json

Body

  • definition string Required

    Workflow definition of the MCP server.

Responses

  • 201 application/json

    MCP server workflow document successfully deployed

    Hide response attributes Show response attributes object
    • id string

      UUID of the workflow deployment

    • mcp_server_id string

      UUID of the MCP server

  • 204

    MCP server workflow document already exists

  • 422 application/json

    Invalid MCP server deployment request

    Hide response attributes Show response attributes object
    • message string

      Human readable error message.

    • errors object

      Hash of invalid attributes with their error messages.

POST /mcp_servers/{mcp_server_id_or_slug}/deploy
curl \
 --request POST 'https://bump.sh/api/v1/mcp_servers/holiday-booking/deploy' \
 --header "Authorization: Token $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"definition":"{\"flower\": \"0.1\", \"title\": \"About crabs\"}\n"}'
Request examples
{
  "definition": "{\"flower\": \"0.1\", \"title\": \"About crabs\"}\n"
}
Response examples (201)
{
  "id": "string",
  "mcp_server_id": "string"
}
Response examples (422)
{
  "message": "Invalid definition file",
  "errors": {
    "raw_definition": [
      "The property '#/paths//docs/{:id}/validations/post' contains additional properties [\"yolo\"] outside of the schema when none are allowed"
    ]
  }
}